commit 8f7b008b158e12de0e58247afd170f127dbb6456 (HEAD, tag: v1.41.0, origin/master, origin/HEAD, master)
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-06-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-06-02

    Update bash_completion

commit 83086ba91a20a444a3b151bd5e0f55037795a31a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-06-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-06-02

    Update manual pages

commit c3b46625633cd9a4519f6fbcd9048127b84a5514
Merge: 3eecc2ca f8da73bd
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2020-06-02
Commit:     GitHub <noreply@github.com>
CommitDate: 2020-06-02

    Merge pull request from GHSA-q5wr-xfw9-q7xr
    
    Implement max settings option

commit 3eecc2ca45530024abb687bf808ec768eaa5e98a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-06-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-06-02

    Bump version number to v1.41.0, LT revision to 34:0:20

commit 881c060d8c92c5246d9a6b5829e63838869bbaa9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-06-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-06-02

    Update AUTHORS

commit f8da73bd042f810f34d19f9eae02b46d870af394
Author:     James M Snell <jasnell@gmail.com>
AuthorDate: 2020-04-19
Commit:     James M Snell <jasnell@gmail.com>
CommitDate: 2020-05-05

    Earlier check for settings flood

commit 336a98feb0d56b9ac54e12736b18785c27f75090
Author:     James M Snell <jasnell@gmail.com>
AuthorDate: 2020-04-17
Commit:     James M Snell <jasnell@gmail.com>
CommitDate: 2020-05-05

    Implement max settings option

commit ef41583614e95efd12b6cce821e34837c1b28ed0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-04-22

    Revert "Add missing connection error handling"
    
    This reverts commit b7d16101413276884d7f51c64f989f5f61abecb8.

commit 979e6c5325826d06922f25047ffafb7ed92fa749
Merge: b7d16101 c663349f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2020-04-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2020-04-21

    Merge pull request #1459 from nghttp2/proxyprotov2
    
    nghttpx: Add PROXY protocol version 2

commit b7d16101413276884d7f51c64f989f5f61abecb8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-04-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-04-21

    Add missing connection error handling

commit cd53bd81bfbf571a0f7836b5979e19702a76890f
Merge: 3b17a659 e5625b8c
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2020-04-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2020-04-18

    Merge pull request #1460 from gportay/patch-1
    
    Fix doc

commit e5625b8cf083b076c0fcb9d4b80749f30c75b4f7
Author:     Gaël PORTAY <gael.portay@gmail.com>
AuthorDate: 2020-04-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2020-04-18

    Fix doc

commit c663349f24b851865f4f1f5ca21de542a2e5c07f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-04-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-04-18

    integration: Add PROXY protocol v2 tests

commit 854e9fe395e928d31650a0f398897cc209064c90
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-04-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-04-18

    nghttpx: Always call init_forwarded_for
    
    Always call init_forwarded_for to get the default when source address
    in PROXY protocol is ignored.  This ensures that forwarded header
    field has the same value as x-forwarded-for.

commit c60ea227cc61294da0ea0355108c2f90d77f974a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-04-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-04-18

    Update doc

commit 49cd8e6e733a74d52d442a3d2667fd130d6437c8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-04-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-04-18

    nghttpx: Add PROXY-protocol v2 support

commit 3b17a659f69fb2ef5d2239142437da2902e61911
Merge: 600fcdf5 dc7a7df6
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2020-03-31
Commit:     GitHub <noreply@github.com>
CommitDate: 2020-03-31

    Merge pull request #1453 from Leo-Neat/master
    
    Add CIFuzz

commit 600fcdf52d60f67ecd936d61eaf0c7ecb8624075
Merge: b3f85e2d 4922bb41
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2020-03-31
Commit:     GitHub <noreply@github.com>
CommitDate: 2020-03-31

    Merge pull request #1455 from xjtian/long_serials
    
    Fix get_x509_serial for long serial numbers

commit 4922bb41d604a15483e12f1b33bac2bf6628d866
Author:     Jacky Tian <xjtian@fb.com>
AuthorDate: 2020-03-31
Commit:     Jacky Tian <xjtian@fb.com>
CommitDate: 2020-03-31

    static_cast size parameter in StringRef constructor to size_t

commit aad8697575d90b1763c31ad06986be0550917aac
Author:     Jacky Tian <xjtian@fb.com>
AuthorDate: 2020-03-30
Commit:     Jacky Tian <xjtian@fb.com>
CommitDate: 2020-03-31

    Fix get_x509_serial for long serial numbers

commit dc7a7df61c7cd1cc05c9c09f827e564495c2bebe
Author:     Leo Neat <lneat@google.com>
AuthorDate: 2020-03-18
Commit:     Leo Neat <lneat@google.com>
CommitDate: 2020-03-18

    Adding CIFuzz

commit b3f85e2daa629732ac3ebb092cd5543c26045e03
Merge: ffb49c6c 2ec58551
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2020-02-20
Commit:     GitHub <noreply@github.com>
CommitDate: 2020-02-20

    Merge pull request #1444 from nghttp2/fix-recv-window-flow-control-issue
    
    Fix receiving stream data stall

commit ffb49c6c589617d6c9a4172464b9100b377e56f9
Merge: 459df42b 866eadb5
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2020-02-20
Commit:     GitHub <noreply@github.com>
CommitDate: 2020-02-20

    Merge pull request #1435 from geoffhill/master
    
    Enable session_create_idle_stream test, fix errors

commit 2ec585518e83bec7de8deb0d429cd744d99fc72b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-02-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-02-20

    Fix receiving stream data stall
    
    Previously, if automatic window update is enabled (which is default),
    after window size is set to 0 by
    nghttp2_session_set_local_window_size, once the receiving window is
    exhausted, even after window size is increased by
    nghttp2_session_set_local_window_size, no more data cannot be
    received.  This is because nghttp2_session_set_local_window_size does
    not submit WINDOW_UPDATE.  It is only triggered when new data arrives
    but since window is filled up, no more data cannot be received, thus
    dead lock happens.
    
    This commit fixes this issue.  nghttp2_session_set_local_window_size
    submits WINDOW_UPDATE if necessary.
    
    https://github.com/curl/curl/issues/4939

commit 459df42b8b074dffd40ac1f95fc65ad099050a7a
Merge: 5e13274b a4c1fed5
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2020-02-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2020-02-11

    Merge pull request #1442 from nghttp2/upgrade-llhttp
    
    Bump llhttp to 2.0.4

commit a4c1fed5139b2df7ce611a519a7b1d69aee3bae0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2020-02-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2020-02-11

    Bump llhttp to 2.0.4

commit 866eadb5de0f859d30272f5359a79c195271cd6c
Author:     Geoff Hill <geoffhill@fb.com>
AuthorDate: 2020-01-23
Commit:     Geoff Hill <geoffhill@fb.com>
CommitDate: 2020-01-23

    Enable session_create_idle_stream test, fix errors
    
    Add the currently-unused `test_nghttp2_session_create_idle_stream()`
    function to the test suite definition.
    
    Modify the test in two places to make it pass:
    
      * Use stream ID=10 as the priority stream ID to test automatic creation
        of streams for priority specs. The code below checks against stream
        ID=10 so I assume this was a typo in the test.
    
      * Set the `last_sent_stream_id` instead of the `next_stream_id` to test
        that idle streams cannot be created with smaller numbers than the
        most-recently-seen stream ID. Looking at the validation path in
        `session_detect_idle_stream()`, I think this was another test typo.

commit 5e13274b7c533b00f2a14582de5f6b34c08b0018
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2019-12-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2019-12-21

    Fix typo

commit e0d7f7de5e58b2e9abd92ee3384f78e91d018503
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2019-12-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2019-12-21

    h2load: Allow port in --connect-to

commit df575f968fa3d82fb40c2637e7d3e245def43766
Author:     lucas <lucas@cloudflare.com>
AuthorDate: 2019-12-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2019-12-21

    h2load: add --connect-to option

commit 1fff737955d3e080d4e4be9ecb615c83fd3fd767
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2019-12-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2019-12-18

    clang-format-9

commit b40c6c862fafe87fa32b28bf040456b064482893
Merge: 2d5f7659 9bc2c75e
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2019-12-08
Commit:     GitHub <noreply@github.com>
CommitDate: 2019-12-08

    Merge pull request #1418 from vszakats/patch-1
    
    lib/CMakeLists.txt: Make hard-coded static lib suffix optional

commit 9bc2c75e388fbb5e6e694ef4471bd63521c966ae
Author:     Viktor Szakats <vszakats@users.noreply.github.com>
AuthorDate: 2019-11-15
Commit:     Viktor Szakats <commit@vsz.me>
CommitDate: 2019-11-15

    lib/CMakeLists.txt: Make hard-coded static lib suffix optional
    
    It can be set via the `STATIC_LIB_SUFFIX` variable.
    
    This fixes every existing dependent project that relied on the name
    having no suffix and thus capable of using either a static or shared
    flavour depending on which one is present on this or how the linker
    is configured.
    
    Ref: https://github.com/nghttp2/nghttp2/pull/1394

commit 2d5f76594a8c4e11d6e2a70588c01433f214150b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2019-11-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2019-11-15

    Bump up version number to 1.41.0-DEV
